LocalGraphDatabase (Neo4j Apoc 1.1 API)
Keywords: org.neo4j.remote.transports.LocalGraphDatabase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.remote.transports
Class LocalGraphDatabase

    java.lang.Object
      org.neo4j.remote.BasicGraphDatabaseServer
          org.neo4j.remote.transports.LocalGraphDatabase

All Implemented Interfaces:
  ConnectionTarget

    public final class LocalGraphDatabase

extends BasicGraphDatabaseServer

An implementation of `ConnectionTarget` that isn't really remote. This implementation is useful for implementing servers for other `ConnectionTarget`s and for testing purposes.

Author:
  Tobias Ivarsson

Constructor Summary
`LocalGraphDatabase(GraphDatabaseService graphDb)` Create a new local `ConnectionTarget`.
`LocalGraphDatabase(String path)` Create a new local `ConnectionTarget`.

Method Summary
`protected GraphDatabaseService` | `connectGraphDatabase()` Create an unauthenticated connection.
`protected GraphDatabaseService` | `connectGraphDatabase(String username, String password)` Create an authenticated connection.
`void` | `registerIndexService(String name, IndexService index)` Register a server side index service implementation.

Methods inherited from class org.neo4j.remote.BasicGraphDatabaseServer
`connect, connect, getKeysBatchSize, getNodesBatchSize, getRelationshipsBatchSize, getTotalNumberOfNodes, getTypesBatchSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalGraphDatabase

    public LocalGraphDatabase(GraphDatabaseService graphDb)

  Create a new local `ConnectionTarget`.

  Parameters:
    `graphDb` - The `GraphDatabaseService` to connect to with this site.

### LocalGraphDatabase

    public LocalGraphDatabase(String path)

  Create a new local `ConnectionTarget`.

  Parameters:
    `path` - The path to the Neo4j graph database store.

Method Detail

### connectGraphDatabase

    protected GraphDatabaseService connectGraphDatabase()

  Description copied from class: `BasicGraphDatabaseServer`
  Create an unauthenticated connection.

  Specified by:
    `connectGraphDatabase` in class `BasicGraphDatabaseServer`
  Returns:
    The `GraphDatabaseService` implementation to use for the connection.

### connectGraphDatabase

    protected GraphDatabaseService connectGraphDatabase(String username,
                                                        String password)

  Description copied from class: `BasicGraphDatabaseServer`
  Create an authenticated connection.

  Specified by:
    `connectGraphDatabase` in class `BasicGraphDatabaseServer`
  Parameters:
    `username` - The name of the authenticating user.
    `password` - The password for the authenticating user.
  Returns:
    The `GraphDatabaseService` implementation to use for the connection.

### registerIndexService

    public void registerIndexService(String name,
                                     IndexService index)

  Description copied from class: `BasicGraphDatabaseServer`
  Register a server side index service implementation.

  Overrides:
    `registerIndexService` in class `BasicGraphDatabaseServer`
  Parameters:
    `name` - A name that identifies the index service implementation.
    `index` - The index service implementation to register.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Neo4j. All Rights Reserved.